libdap::HTTPCacheInterruptHandler Class Reference

`#include <HTTPCacheInterruptHandler.h>`

Inheritance diagram for libdap::HTTPCacheInterruptHandler:

## Public Member Functions

virtual void | handle_signal (int signum)

## Detailed Description

Handle SIGINT for HTTPCache. When the cache is in use and the process is sent SIGINT, we must make sure that the cache is left in a consistent state. This includes removing the lock file, updating the index file and making sure no partially written data or meta data files exist.

See also
  EventHandler
  SignalHandler
  HTTPCache

Author
  James Gallagher jgall.nosp@m.aghe.nosp@m.r@ope.nosp@m.ndap.nosp@m..org

Definition at line 52 of file HTTPCacheInterruptHandler.h.

## Constructor & Destructor Documentation

## HTTPCacheInterruptHandler()

libdap::HTTPCacheInterruptHandler::HTTPCacheInterruptHandler | ( |  | ) |

inline

Definition at line 56 of file HTTPCacheInterruptHandler.h.

## ~HTTPCacheInterruptHandler()

virtual libdap::HTTPCacheInterruptHandler::~HTTPCacheInterruptHandler | ( |  | ) |

inline virtual

Definition at line 59 of file HTTPCacheInterruptHandler.h.

## Member Function Documentation

## handle_signal()

virtual void libdap::HTTPCacheInterruptHandler::handle_signal | ( | int | signum | ) |

inline virtual

Handle SIGINT. This handler first deletes any files opened but not added to the cache index files and then calls HTTPCache::delete_instance().

Parameters

  signum | We know it is SIGINT; included here as a check and only when NDEBUG is not defined.

Returns
  Never returns.

Implements libdap::EventHandler.

Definition at line 68 of file HTTPCacheInterruptHandler.h.

The documentation for this class was generated from the following file:

- HTTPCacheInterruptHandler.h